config/routes.rb
Rails.application.routes.draw do
	devise_for :users, :controllers => { :omniauth_callbacks => "callbacks" } , path: "auth"

	resources :albums, except: [:index]
	resources :photos , except: [:index]
	resources :users, only: [:show]
 	authenticated :users do
 		root 'users#show'
	end
	unauthenticated :users do
	    root 'photos#discover_photos'
	end

	namespace :admin do
      	resources :albums, except: [:new, :create]
      	resources :users, except: [:new, :create]
      	resources :photos, except: [:new, :create]
      	delete '/delete/images' => 'albums#delete_images', as: :delete_images
		delete '/album/:album_id/delete/:image_id/images_old/' => 'albums#delete_image_attachment', as: :delete_images_old
    end

	get '/feed/photos' => 'photos#feed_photos'
	get '/feed/albums' => 'albums#feed_albums'

	get '/discover/photos' => 'photos#discover_photos'
	get '/discover/albums' => 'albums#discover_albums'

	delete '/delete/images' => 'albums#delete_images', as: :delete_images
	delete '/album/:album_id/delete/:image_id/images_old/' => 'albums#delete_image_attachment', as: :delete_images_old
	
	post '/user/:id/follow_user', to: 'relations#follow_user', as: :follow_user
  	post '/user/:id/unfollow_user', to: 'relations#unfollow_user', as: :unfollow_user

  	post '/:likeable_id/:likeable_type/like', to: 'likes#like', as: :like
  	post '/:likeable_id/:likeable_type/unlike', to: 'likes#unlike', as: :unlike
end

app/views/share/_option_admin.html.erb
<div class="container " id="list-option-admin">
    <div class=" col-sm-offset-9 col-lg-2 col-lg-offset-1"  >
		<ol class="list-option">
			<%= link_to 'Manage Photos', admin_photos_path%>
			<br>
			<%= link_to 'Manage Albums', admin_albums_path %>
			<br>
			<%= link_to 'Manage Users', admin_users_path %>
			<br>
		</ol>
    </div>
</div>

app/views/share/_option_status.html.erb
<div class="container " id="list-option">
    <div class="col-sm-12 col-sm-offset-3 col-lg-2 col-lg-offset-1"  >
		<ol class="list-option">
			<%= link_to 'Feeds', feed_photos_path, class: "", id: "feed"%>
		<br>
			<%= link_to 'Discover', discover_photos_path, class: "", id: "discover" %>
		</ol>
    </div>
</div>

app/views/share/_show_follower.html.erb
<div class="container-body">
	<div class="row col-lg-12 col-sm-12 show-relation">
		<% follow_relation.each do |user| %>
			<div class="col-sm-6 col-lg-3 ">
				<div class="list_album frame">
					<div class="col-sm-offset-4 col-lg-offset-3">
					<%= image_tag(user.avatar, class: " photo photo-avatar") %>	
				</div>
				<div class="profile-follower">
					<%= link_to user.full_name, user_path(id: user.id) %>
				</div>
				<div class="col-lg-6 col-sm-6 col-sm-offset-1" >
					<div class="col-lg-12 profile-follower">
						<%= user.photos.size %> 
					</div>
					<div class="col-lg-12 profile-follower text-small">
						PHOTOS
					</div>
				</div>
				<div class="col-lg-offset-6 col-sm-offset-6" >
					<div class="col-lg-6 col-lg-offset-2 profile-follower">
						<%= user.albums.size %> 
					</div>
					<div class="col-lg-6 profile-follower text-small">
						ALBUMS
					</div>
				</div>
				<form class="col-lg-12 col-lg-offset-3 col-sm-12 col-sm-offset-4" >
					<% if current_user != user %> 
						<% if current_user.following.include? user %>
			                <%= link_to "Following", unfollow_user_path(id: user.id),  class: 'btn follow-button', id: 'unfollow-button', method: :post %>
			            <%else%>
			                <%= link_to "Follow", follow_user_path(id: user.id),  class: 'btn follow-button', id: 'follow-button', method: :post %>
	           			<%end%>
	           		<%end%>
				</form>
				</div>
			</div>
		<%end%>			
	</div>
	<div class="row col-lg-12">
		<%= paginate follow_relation, param_name: :page_follower %>
	</div>
</div>